## pytables 1.1.1

=== Makefile ===
# This Makefile is only intended to prepare for distribution the PyTables
# sources exported from a repository.  For building and installing PyTables,
# please use ``setup.py`` as described in the ``README.txt`` file.

VERSION = $(shell cat VERSION)
SRCDIRS = src doc

GENERATED = README.txt ANNOUNCE.txt RELEASE-NOTES.txt


.PHONY:		dist clean


dist:		$(GENERATED)
	for srcdir in $(SRCDIRS) ; do (cd $$srcdir && make $@) ; done

clean:
	-rm $(GENERATED)
	for srcdir in $(SRCDIRS) ; do (cd $$srcdir && make $@) ; done

%:		%.in VERSION
	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

=== doc/Makefile ===
SRCDIR = xml
HTMLDIR = html


.PHONY:		dist clean

dist:		usersguide.pdf usersguide.html
	(cd $(SRCDIR) && make clean)

clean:
	-rm usersguide.pdf
	-rm -r $(HTMLDIR)
	(cd $(SRCDIR) && make clean)


usersguide.pdf:
	(cd $(SRCDIR) && make usersguide.pdf)
	cp  $(SRCDIR)/usersguide.pdf  .

usersguide.html:
	mkdir -p $(HTMLDIR)
	(cd $(SRCDIR) && make usersguide.html)
	cp  $(SRCDIR)/usersguide*.html $(SRCDIR)/*.{jpg,png,css}  $(HTMLDIR)

=== src/Makefile ===
VERSION = $(shell cat ../VERSION)

.PHONY:		dist clean

dist:		hdf5Extension.c TableExtension.c utilsExtension.c version.h

clean:
	-rm hdf5Extension.c TableExtension.c utilsExtension.c version.h


%.c:		%.pyx
	pyrexc "$<"

version.h:	version.h.in ../VERSION
	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

=== doc/xml/Makefile ===
GENEPS = logo3-ombra.eps objecttree-h5.eps objecttree.eps \
	tutorial1-tableview.eps tutorial1-general.eps tutorial2-tableview.eps \
	rootUEP1.eps rootUEP2.eps
GENTEX = usersguide.tex usersguide.log usersguide.aux usersguide.toc \
	natbib.cfg usersguide.bbl usersguide.blg usersguide.brf \
	usersguide.out usersguide.pdf
TBJUNK = makebib makeclean makeepss makepage makepdfs makewebs makeeqns makeidx


# For TBook to find the 'saxon' script.
PATH := $(PATH):.



.PHONY:		all clean

all:		usersguide.pdf usersguide.html

clean:
	-sh makeclean
	rm -f $(TBJUNK)
	rm -f $(GENEPS)
	rm -f $(GENTEX)
	rm -f usersguide*.html


# Relying on the TeX file ensures creation of TBook's 'make*' scripts.
tbook-scripts:	usersguide.tex


usersguide.tex:	usersguide.xml
	tbtolatex "$*"

usersguide-eps2pdf:	tbook-scripts $(GENEPS)
	sh makepdfs

usersguide.pdf:	usersguide.tex usersguide.bib usersguide-eps2pdf
	pdflatex "$<"
	bibtex usersguide
	pdflatex "$<"
	pdflatex "$<"
	pdflatex "$<"


usersguide-eps2png:	tbook-scripts $(GENEPS)
	sh makewebs

usersguide.html:	usersguide-eps2png
	tbtohtml -t usersguide split-level=chapter \
		css-mode=very-careful css-file=html.css


%.eps:		%.dia
	dia --export="$@" --export-to-format=eps "$<"

%.eps:		%.fig
	fig2dev -L eps "$<" "$@"

%.eps:		%.jpg
	convert "$<" "$@"

%.pdf:		%.dvi
	dvipdf "$<" "$@"

## pytables 1.3.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 VERSION = $(shell cat VERSION)
 SRCDIRS = src doc
 
-GENERATED = README.txt ANNOUNCE.txt RELEASE-NOTES.txt
+GENERATED = ANNOUNCE.txt RELEASE-NOTES.txt
 
 
 .PHONY:		dist clean
@@ -15,7 +15,9 @@
 	for srcdir in $(SRCDIRS) ; do (cd $$srcdir && make $@) ; done
 
 clean:
-	-rm $(GENERATED)
+	-rm -rf build dist
+	-rm $(GENERATED) tables/*.so
+	find . '(' -name '*.py[co]' -o -name '*~' ')' -exec rm '{}' ';'
 	for srcdir in $(SRCDIRS) ; do (cd $$srcdir && make $@) ; done
 
 %:		%.in VERSION

=== doc/Makefile ===
--- 
+++ 
@@ -13,11 +13,12 @@
 	(cd $(SRCDIR) && make clean)
 
 
-usersguide.pdf:
+usersguide.pdf: $(SRCDIR)/usersguide.xml
 	(cd $(SRCDIR) && make usersguide.pdf)
 	cp  $(SRCDIR)/usersguide.pdf  .
 
-usersguide.html:
+usersguide.html: $(SRCDIR)/usersguide.xml
 	mkdir -p $(HTMLDIR)
 	(cd $(SRCDIR) && make usersguide.html)
-	cp  $(SRCDIR)/usersguide*.html $(SRCDIR)/*.{jpg,png,css}  $(HTMLDIR)
+	cp  $(SRCDIR)/*.html $(HTMLDIR)
+	ln  $(SRCDIR)/*.png $(HTMLDIR)

=== src/Makefile ===
VERSION = $(shell cat ../VERSION)

.PHONY:		dist clean

dist:		hdf5Extension.c TableExtension.c utilsExtension.c \
		_comp_ucl.c _comp_lzo.c _comp_bzip2.c version.h

clean:
	-rm hdf5Extension.c TableExtension.c utilsExtension.c \
		_comp_ucl.c _comp_lzo.c _comp_bzip2.c version.h


%.c:		%.pyx
	pyrexc "$<"

version.h:	version.h.in ../VERSION
	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

=== doc/xml/Makefile ===
# Files to be generated
genpdf = objecttree.pdf rootUEP1.pdf rootUEP2.pdf
# Get all .pdf files except "usersguide.pdf"
pdfs := $(filter-out usersguide.pdf, $(wildcard *.pdf))
# Add files that have to be derived from other formats
pdfs += $(genpdf)
# The generated PNGs
genpng := $(patsubst %.pdf,%.png,$(pdfs))
# The generated latex stuff
gentex := $(filter-out usersguide.xml usersguide.bib, $(wildcard usersguide*.*))
# tbook junk to be deleted
tbjunk = makebib makeclean makeepss makepage makepdfs makewebs makeeqns makeidx \
	*image-comment.txt *image-gallery-raw.tex natbib.cfg

.PHONY:		all clean

all:		usersguide.pdf usersguide.html

clean:
	rm -f $(tbjunk)
	rm -f $(genpng)
	rm -f $(gentex)
	rm -f $(genpdf)
	rm -f *.html

usersguide.tex:	usersguide.xml
	tbtolatex "$*"

usersguide.pdf:	usersguide.tex usersguide.bib $(pdfs)
	pdflatex "$<"
	bibtex usersguide
	pdflatex "$<"
	pdflatex "$<"
	pdflatex "$<"

usersguide.html:	 usersguide.xml $(genpng)
	tbtodocbk usersguide
	python strip-dbmanual.py usersguide-db.xml
	docbook2html usersguide-db.xml

%.pdf:		%.dia
	dia --export=tmp.eps --export-to-format=eps "$<"
	epstopdf tmp.eps -outfile="$@"
	rm tmp.eps

%.pdf:		%.fig
	fig2dev -L eps "$<" tmp.eps
	epstopdf tmp.eps -outfile="$@"
	rm tmp.eps

%.png:	        %.pdf
	convert "$<" "$@"

## pytables 2.0.2

=== Makefile ===
# This Makefile is only intended to prepare for distribution the PyTables
# sources exported from a repository.  For building and installing PyTables,
# please use ``setup.py`` as described in the ``README.txt`` file.

VERSION = $(shell cat VERSION)
SRCDIRS = src doc

GENERATED = ANNOUNCE.txt


.PHONY:		dist clean


dist:		$(GENERATED)
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $@ ; done

clean:
	rm -rf MANIFEST build dist
	rm -f $(GENERATED) tables/*.so tables/numexpr/*.so
	find . '(' -name '*.py[co]' -o -name '*~' ')' -exec rm '{}' ';'
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $@ ; done

%:		%.in VERSION
	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

=== src/Makefile ===
VERSION = $(shell cat ../VERSION)
# Get all .pyx files
pyxext = $(wildcard *.pyx)

# The generated C extensions from Pyrex files
genc = $(patsubst %.pyx, %.c, $(pyxext))

# All the generated files
GENERATED = $(genc) version.h

.PHONY:         dist clean

dist:           $(GENERATED)

clean:
	rm -f $(GENERATED)


%.c:            %.pyx
	pyrexc "$<"

version.h:      version.h.in ../VERSION
	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

## pytables 2.1.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # please use ``setup.py`` as described in the ``README.txt`` file.
 
 VERSION = $(shell cat VERSION)
-SRCDIRS = src doc
+SRCDIRS = tables src doc
 
 GENERATED = ANNOUNCE.txt

=== src/Makefile ===
VERSION = $(shell cat ../VERSION)

# All the generated files
GENERATED = version.h

.PHONY:         dist clean

dist:           $(GENERATED)

clean:
	rm -f $(GENERATED)

version.h:      version.h.in ../VERSION
	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

=== tables/Makefile ===
# Get all .pyx files
pyxext = $(wildcard *.pyx)

# The generated C extensions from Pyrex files
genc = $(patsubst %.pyx, %.c, $(pyxext))

# All the generated files
GENERATED = $(genc)

.PHONY:         dist clean

dist:           $(GENERATED)

clean:
	rm -f $(GENERATED)


%.c:            %.pyx
	pyrexc "$<"

## pytables 2.3.1

=== Makefile ===
--- 
+++ 
@@ -3,15 +3,20 @@
 # please use ``setup.py`` as described in the ``README.txt`` file.
 
 VERSION = $(shell cat VERSION)
-SRCDIRS = tables src doc
-
+SRCDIRS = src doc
+PYTHON = python
 GENERATED = ANNOUNCE.txt
 
 
-.PHONY:		dist clean
+.PHONY:		all dist clean distclean
 
+all:		$(GENERATED)
+	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $@ ; done
 
-dist:		$(GENERATED)
+dist:		all
+	$(PYTHON) setup.py sdist
+	cd dist && md5sum tables-$(VERSION).tar.gz > pytables-$(VERSION).md5 && cd -
+	cp RELEASE_NOTES.txt dist/RELEASE_NOTES-$(VERSION).txt
 	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $@ ; done
 
 clean:
@@ -20,5 +25,10 @@
 	find . '(' -name '*.py[co]' -o -name '*~' ')' -exec rm '{}' ';'
 	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $@ ; done
 
+distclean:	clean
+	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $@ ; done
+	rm -f tables/_comp_*.c tables/*Extension.c tables/linkExtension.pyx
+	#git clean -fdx
+
 %:		%.in VERSION
 	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

=== debian/changelog ===
pytables (2.3.1-3) unstable; urgency=low

  [ Antonio Valentino ]
  * Set Vcs-* fields in the control file (Closes: #657766)
  * Provide -dbg package (Closes: #399332)
  * Override dh_install instead of dh_auto_install
  * Honor nodoc and noopt DEB_BUILD_OPTIONS (Closes: #660001)
  * Updated copyright format URL
  * Standard version bumped to 3.9.3 (no changes)
  * Patch fix_unaligned_mem_access to avoid errors related to unaligned
    memory access on platforms like ARM, etc (Closes: #661287).
    The patch has been backported from upstream and originally submtted
    by Julian Taylor

  [ Yaroslav Halchenko ]
  * Patch up_skip_multiprocessing_test_on_gnu to disable test on Hurd and
    kFreeBSD systems -- multiprocessing locking seems to be N/A

  [ Julian Taylor ]
  * fix_library_detection.patch:
    fixes detection of multiarched bzip and lzo2 (Closes: #657789)
  * rules: update clean target to remove some remnant files
  * disable_blosc.patch:
    disable blosc on armel, armhf, sparc and mipsel
    not functional due to unaligned memory accesses
    (Closes: #661287, #661286)
  * make testsuite output verbose

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 Mar 2012 16:32:52 -0500

pytables (2.3.1-2) unstable; urgency=low

  * Avoid unnecessary cythonization during clean
  * Ensure that build fails in case of test failure
  * Explicitly set PYTHONPATH before running tests
  * Call dh_numpy to generate proper dependency on numpy
    (Closes: #657089)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Jan 2012 12:39:25 +0100

pytables (2.3.1-1) unstable; urgency=low

  [ Antonio Valentino ]
  * New upstream release (Closes: #641485)
  * Watch file updated to point tho the new download site
  * Copyright file converted to DEP5 format
  * Removed debian/pycompat file: no more needed
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch to dh_python2 (Closes: #616988)
  * Now use debhelper 8 and the dh sequencer in the debian/rules file
  * Standard version bumped to 3.9.2
  * Build depend from numexpr, cython, pythn-sphinx and texlive-latex-*
  * No more play with gzip in debian/rules (Closes: #551392)
  * The package is now maintained under the unbrella of debian-science
  * Added a debian/README.source file
  * Enabled automatic testing
  * Build dependency from the HDF5 library updated to libhdf5-dev
    (HDF5 transition)

  [ Yaroslav Halchenko ]
  * Sponsored the upload

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Jan 2012 22:18:32 -0500

pytables (2.1.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on versioned python-numpy (>= 1:1.4.1-4~); fixes
    incompatiblity with python-numpy (Closes: #589669)
  * debian/rules: add call to dh_numpy to generate stricter versioned
    depends on python-numpy (Closes: #590761)

 -- Varun Hiremath <varun@debian.org>  Fri, 30 Jul 2010 23:58:31 -0400

pytables (2.1.2-3) unstable; urgency=low

  * Improve the long discription of python-tables-doc (closes: #551391)
  * Remove the gzip of man1 in rules (close: #551392)
  * Re-fix the build error with Python-2.6 (closes: #547875)

 -- Wen Heping <wenheping@gmail.com>  Wed, 22 Oct 2009 23:10:23 +0100

pytables (2.1.2-2) unstable; urgency=low

  * Fix the build error with Python-2.6 (closes: #547875)

 -- Wen Heping <wenheping@gmail.com>  Wed, 14 Oct 2009 23:10:23 +0100

pytables (2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Wen Heping adopt package (closes: #544895)
  * Add a watch file
  * Change the standards version to 3.8.3

 -- Wen Heping <wenheping@gmail.com>  Fri, 09 Oct 2009 18:15:39 +0100

pytables (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Francesc Altet <faltet@carabos.com>  Tue, 18 Mar 2008 18:15:39 +0100

pytables (2.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Francesc Altet <faltet@carabos.com>  Tue, 27 Nov 2007 19:54:25 +0100

pytables (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Francesc Altet <faltet@carabos.com>  Wed, 19 Sep 2007 13:21:33 +0200

pytables (2.0-1) unstable; urgency=low

  * New upstream release. This no longer depends on numarray (closes: #423797)
  * Incorporates patch from Didrik Pinte (closes: #431686)
  * Python 2.5 packages are already available (closes: #391939)

 -- Francesc Altet <faltet@carabos.com>  Thu, 05 Jul 2007 12:08:45 +0200

pytables (1.3.2-2) unstable; urgency=low

    * Fixed call to pyversions in debian/rules which failed on recent versions
      of pyversions
    * Fixed clean rule in debian/rules which left the stamp files behind
    * Acknowledge NMU
    * Added Alexandre Fayolle to uploaders

 -- Alexandre Fayolle <afayolle@debian.org>  Wed, 28 Jun 2006 10:45:03 +0200

pytables (1.3.2-1) unstable; urgency=low

    * New upstream release (closes: #375691)

 -- Francesc Altet <faltet@carabos.com>  Tue, 27 Jun 2006 19:57:46 +0200

pytables (1.3-1.1) unstable; urgency=low

  * NMU
  * Comply with the new python policy (removes python2.X-tables
    packages) (closes: #373508)
  * Build-Depend on python-numarray (closes: #374177)
  * Removed versioned dependency on virtual package python2.X-numarray
    (closes: #374799)

 -- Alexandre Fayolle <afayolle@debian.org>  Wed, 21 Jun 2006 14:16:13 +0200

pytables (1.3-1) unstable; urgency=low

   * New upstream release. NumPy support added.
     (Closes: #347743)
   * Support of new HDF5 1.6.5 packages in debian.
   * Due to the new dynamic discovery of LZO, UCL and bzip2 libraries,
     they are not required anymore by binaries. More specifically, LZO
     and bzip2 are Recommended:, while UCL which is being deprecated in
     PyTables is just "Suggested:". Many thanks to Steve Langasek for
     suggesting an automatic way to do this.
   * Note that, although deprecated, UCL support is in, in order to
     allow users to migrate existing files to other supported libraries
     (Zlib, LZO or bzip2).

 -- Francesc Altet <faltet@carabos.com>  Mon, 10 Apr 2006 12:08:33 +0200



=== debian/control ===
Source: pytables
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>, Yaroslav Halchenko <debian@onerussian.com>
DM-Upload-Allowed: yes
Homepage: http://www.pytables.org
Vcs-Git: git://git.debian.org/git/debian-science/packages/pytables.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/pytables.git
Standards-Version: 3.9.3
X-Python-Version: >= 2.4
Build-Depends: debhelper (>= 8.1.0~), libhdf5-dev (>= 1.6.5),
               python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~),
               python-numpy (>= 1:1.4.1-4~), python-numpy-dbg (>= 1:1.4.1-4~),
               python-numexpr (>= 1.4.1), python-numexpr-dbg (>= 1.4.1),
               cython (>= 0.13), cython-dbg (>= 0.13), zlib1g-dev, liblzo2-dev,
               libbz2-dev, python-sphinx (>= 1.0.7+dfsg),
               texlive-latex-recommended, texlive-latex-extra,
               texlive-fonts-recommended

Package: python-tables
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-numexpr (>= 1.4.1)
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc, python-netcdf, ${shlibs:Suggests}
Description: hierarchical database for Python based on HDF5
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.

Package: python-tables-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-tables (= ${binary:Version})
Recommends: ${shlibs:Recommends}, python-dbg, python-numpy-dbg,
            python-numexpr-dbg
Suggests: python-tables-doc, python-netcdf, ${shlibs:Suggests}
Description: hierarchical database for Python based on HDF5 (debug extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-tables-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: xpdf | pdf-viewer, www-browser
Description: hierarchical database for Python based on HDF5 - documentation
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
 This package includes the manual in PDF and HTML formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS ?= -O0
endif
PYVERS=$(shell pyversions -vs)

%:
	dh $@ --with python2 --with sphinxdoc --buildsystem=python_distutils


override_dh_auto_build:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE)
	mv doc/usersguide-?.?.?.pdf doc/usersguide.pdf
else
	$(MAKE) ANNOUNCE.txt
	$(MAKE) -C src all
	mkdir -p doc/html
	touch doc/usersguide.pdf
endif
	dh_auto_build --buildsystem=python_distutils


override_dh_auto_clean:
	# Avoid unnecessary cythonization (see
	# https://github.com/PyTables/PyTables/issues/122)
	#dh_auto_clean --buildsystem=python_distutils
	$(MAKE) distclean
	rm -f doc/*.pdf
	# distutils.ccompiler leaves this behind
	rm -f a.out
	rm -rf tmp/


override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -ppython-tables-doc
endif


override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES.txt


override_dh_compress:
	dh_compress -X.txt -X.pdf -X.py -X.h5


override_dh_install:
	# Install everything excluding the *_d.so debug extensions to python-tables
	dh_install -X"*_d.so" "debian/tmp/*" -p python-tables

	# Install the debug extensions to python-tables-dbg
	dh_install "debian/tmp/usr/lib/python*/*-packages/tables/*_d.so" -p python-tables-dbg

	# Continue with regular dh_install
	dh_install -p python-tables-doc
	dh_numpy
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for py in $(PYVERS); do \
		cd "$(CURDIR)/debian/tmp/usr/lib/python$$py/dist-packages/"; \
		env PYTHONPATH=. python$$py tables/tests/test_all.py -vvv; \
		#env PYTHONPATH=. python$$py-dbg tables/tests/test_all.py; \
	done
endif


.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_sphinxdoc \
        override_dh_install override_dh_installchangelogs override_dh_compress

=== debian/watch ===
version=3
opts=uversionmangle=s/alpha/~alpha/;s/beta/~beta/;s/rc/~rc/ \
    http://githubredir.debian.net/github/PyTables/PyTables/ v.(.+).tar.gz

## pytables 2.4.0

=== Makefile ===
# This Makefile is only intended to prepare for distribution the PyTables
# sources exported from a repository.  For building and installing PyTables,
# please use ``setup.py`` as described in the ``README.txt`` file.

VERSION = $(shell cat VERSION)
SRCDIRS = src doc
PYTHON = python
GENERATED = ANNOUNCE.txt
OPT = PYTHONPATH=$(CURDIR)


.PHONY:		all dist clean distclean html

all:		$(GENERATED)
	$(PYTHON) setup.py build_ext --inplace
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

dist:		all
	$(PYTHON) setup.py sdist
	cd dist && md5sum tables-$(VERSION).tar.gz > pytables-$(VERSION).md5 && cd -
	cp RELEASE_NOTES.txt dist/RELEASE_NOTES-$(VERSION).txt
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

clean:
	rm -rf MANIFEST build dist tmp
	rm -f $(GENERATED) tables/*.so tables/numexpr/*.so a.out
	find . '(' -name '*.py[co]' -o -name '*~' ')' -exec rm '{}' ';'
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

distclean:	clean
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done
	rm -f tables/_comp_*.c tables/*Extension.c
	#git clean -fdx

html:
	$(PYTHON) setup.py build_ext --inplace
	$(MAKE) -C doc $(OPT) html

%:		%.in VERSION
	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

=== debian/changelog ===
pytables (2.4.0-4) unstable; urgency=low

  * Fix the override_dh_sphinxdoc rule to avoid failures when the -doc
    package is not built

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 24 Jun 2013 20:20:45 +0000

pytables (2.4.0-3) unstable; urgency=low

  * Added build-deendency from jquery-cookie and updated debian/rules
    to avoid embedded javascript
  * New patch: fix tests of nested record reperesentation on big-endian
    machines.  Backport of upstream fix for gh-237 (see also
    https://github.com/PyTables/PyTables/issues/237).
  * New patch: fix detection od platforms supporting blosc

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Jun 2013 14:14:23 +0000

pytables (2.4.0-2) unstable; urgency=low

  * Added vitables as suggested package (Closes: #702228)
  * Updated copyright file
  * Standard version bumped to 3.9.4 (no changes)
  * Removed obsolete DM-Upload-Allowed field from the control file
  * Enabled automatic testing for dbg packages
  * Keep the original name of the upstream changelog
  * Use canonical URI for VCS-* fields
  * Fixed unnecessarily versioned build dependencies (silence cme warnings)
  * Uploading PyTables 2.4 to unstable also fixes a small incompatibility
    with numpy >= 1.7 (Closes: #713085)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Jun 2013 13:25:28 +0000

pytables (2.4.0-1) experimental; urgency=low

  [ Antonio Valentino ]
  * New upstream release (Closes: #698318, #605180)
  * Improved watch file
  * Removed all patches (applied upstream)
  * Updated build dependencies
  * Set compat to 9
  * Updated copyright file

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 28 Jan 2013 10:02:57 -0500

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,28 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>, Yaroslav Halchenko <debian@onerussian.com>
-DM-Upload-Allowed: yes
 Homepage: http://www.pytables.org
-Vcs-Git: git://git.debian.org/git/debian-science/packages/pytables.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/pytables.git
-Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/pytables.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pytables.git
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.4
-Build-Depends: debhelper (>= 8.1.0~), libhdf5-dev (>= 1.6.5),
-               python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~),
-               python-numpy (>= 1:1.4.1-4~), python-numpy-dbg (>= 1:1.4.1-4~),
-               python-numexpr (>= 1.4.1), python-numexpr-dbg (>= 1.4.1),
-               cython (>= 0.13), cython-dbg (>= 0.13), zlib1g-dev, liblzo2-dev,
+Build-Depends: debhelper (>= 9.0.0), libhdf5-dev,
+               python-all-dev, python-all-dbg,
+               python-numpy, python-numpy-dbg,
+               python-numexpr, python-numexpr-dbg,
+               cython (>= 0.13), cython-dbg (>= 0.13),
+               zlib1g-dev, liblzo2-dev,
                libbz2-dev, python-sphinx (>= 1.0.7+dfsg),
                texlive-latex-recommended, texlive-latex-extra,
-               texlive-fonts-recommended
+               texlive-fonts-recommended,
+               libjs-jquery-cookie
 
 Package: python-tables
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
-         python-numexpr (>= 1.4.1)
+         python-numexpr
 Recommends: ${shlibs:Recommends}
-Suggests: python-tables-doc, python-netcdf, ${shlibs:Suggests}
+Suggests: python-tables-doc, python-netcdf, ${shlibs:Suggests}, vitables
 Description: hierarchical database for Python based on HDF5
  PyTables is a hierarchical database package designed to efficiently
  manage very large amounts of data. PyTables is built on top of the
@@ -72,7 +73,7 @@
 Package: python-tables-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-jquery-cookie
 Suggests: xpdf | pdf-viewer, www-browser
 Description: hierarchical database for Python based on HDF5 - documentation
  PyTables is a hierarchical database package designed to efficiently

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS ?= -O0
endif
PY2VERS=$(shell pyversions -vs)

%:
	dh $@ --with python2 --with sphinxdoc --buildsystem=python_distutils


override_dh_auto_build:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE)
	mv doc/usersguide-?.?.?.pdf doc/usersguide.pdf
else
	$(MAKE) ANNOUNCE.txt
	$(MAKE) -C src all
	mkdir -p doc/html
	touch doc/usersguide.pdf
endif
	dh_auto_build --buildsystem=python_distutils


override_dh_install:
	# Install everything excluding the *_d.so debug extensions to python-tables
	dh_install -X"*_d.so" "debian/tmp/usr/lib/python2*" -p python-tables

	# Install the debug extensions to python-tables-dbg
	dh_install "debian/tmp/usr/lib/python2*/*-packages/tables/*_d.so" -p python-tables-dbg

	# Continue with regular dh_install
	dh_install -p python-tables-doc
	dh_numpy
	# using override_dh_auto_test causes problems for dbg versions
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for py in $(PY2VERS); do \
		cd $(CURDIR)/build/lib.*-$$py; \
		env PYTHONPATH=. python$$py tables/tests/test_all.py -vvv; \
		cd $(CURDIR)/debian/tmp/usr/lib/python$$py/dist-packages; \
		env PYTHONPATH=. python$$py-dbg tables/tests/test_all.py -vvv; \
	done
endif


override_dh_auto_clean:
	# Avoid unnecessary cythonization (see
	# https://github.com/PyTables/PyTables/issues/122)
	#dh_auto_clean --buildsystem=python_distutils
	$(MAKE) distclean
	rm -f doc/*.pdf
	# distutils.ccompiler leaves this behind
	rm -f a.out
	rm -rf tmp/


override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -ppython-tables-doc
	rm -f $(CURDIR)/debian/python-tables-doc/usr/share/doc/python-tables-doc/html/_static/jquery.cookie.js
endif


override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE_NOTES.txt


override_dh_compress:
	dh_compress -X.txt -X.pdf -X.py -X.h5


.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_sphinxdoc \
        override_dh_install override_dh_installchangelogs override_dh_compress
